### Method

# Tracker SparqlConnection update

#### Declaration [src]

    void
    tracker_sparql_connection_update (
      TrackerSparqlConnection* connection,
      const gchar* sparql,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Executes a SPARQL update on `connection`.

This method is synchronous and will block until the update is finished. See `tracker_sparql_connection_update_async()` for an asynchronous variant.

It is recommented to consider the usage of `TrackerBatch` to cluster database updates. Frequent isolated SPARQL updates through this method will have a degraded performance in comparison.

If the query is partially built from user input or other untrusted sources, special care is required about possible SPARQL injection. In order to avoid it entirely, it is recommended to use `TrackerSparqlStatement`, or to build the SPARQL input through `TrackerResource`. The function `tracker_sparql_escape_string()` exists as a last resort, but its use is not recommended.

#### Parameters

`sparql`

  Type: `const gchar*`

  String containing the SPARQL update query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.